Last Comment Bug 722082 - getParameter(COMPRESSED_TEXTURE_FORMATS) should return a Uint32Array, not a plain array
: getParameter(COMPRESSED_TEXTURE_FORMATS) should return a Uint32Array, not a p...
Status: RESOLVED FIXED
webgl-conformance
:
Product: Core
Classification: Components
Component: Canvas: WebGL (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 721230 745897
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-28 13:22 PST by Jon Buckley
Modified: 2012-05-28 10:35 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Jon Buckley 2012-01-28 13:22:58 PST
Right now it's returning a plain JS empty array. It should be returning a Uint32Array according to the spec: http://www.khronos.org/registry/webgl/specs/latest/#5.14.3
Comment 1 Boris Zbarsky [:bz] 2012-05-05 07:27:00 PDT
I believe the patch in bug 745897 fixed this.
Comment 2 Gregg Tavares 2012-05-14 09:53:39 PDT
I updated the gl-get-calls test to check for types of arraybuffers

https://cvs.khronos.org/svn/repos/registry/trunk/public/webgl/sdk/tests/conformance/state/gl-get-calls.html
Comment 3 Jon Buckley 2012-05-14 11:49:56 PDT
I tested that in today's Nightly, and this is indeed fixed. Thanks for pointing out where that test lived
Comment 4 Benoit Jacob [:bjacob] (mostly away) 2012-05-28 10:35:28 PDT
Yep, removing webgl-test-needed. Thanks!

Note You need to log in before you can comment on or make changes to this bug.